net.i2p.router.tunnel.pool

## Class ClientPeerSelector

- java.lang.Object
- - net.i2p.router.tunnel.pool.TunnelPeerSelector
  - - net.i2p.router.tunnel.pool.ClientPeerSelector

-      class ClientPeerSelector
      extends TunnelPeerSelector

  Pick peers randomly out of the fast pool, and put them into tunnels ordered by XOR distance from a random key.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientPeerSelector()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<Hash>` | `selectPeers(RouterContext ctx, TunnelPoolSettings settings)` Which peers should go into the next tunnel for the given settings?

    - ### Methods inherited from class net.i2p.router.tunnel.pool.TunnelPeerSelector

      `filterSlow, filterUnreachable, filterUptime, getExclude, getLength, orderPeers, selectExplicit, shouldExclude, shouldSelectExplicit`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClientPeerSelector

          ClientPeerSelector()

  - ### Method Detail

    - #### selectPeers

          public List<Hash> selectPeers(RouterContext ctx,
                               TunnelPoolSettings settings)

      Description copied from class: `TunnelPeerSelector`
      Which peers should go into the next tunnel for the given settings?
      Specified by:
        `selectPeers` in class `TunnelPeerSelector`
      Returns:
        ordered list of Hash objects (one per peer) specifying what order they should appear in a tunnel (ENDPOINT FIRST). This includes the local router in the list. If there are no tunnels or peers to build through, and the settings reject 0 hop tunnels, this will return null.